ru.bitel.bgbilling.kernel.contract.api.common.event

## Class ContractParameterGroupAttrModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr>
    - - ru.bitel.bgbilling.kernel.contract.api.common.event.ContractParameterGroupAttrModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractParameterGroupAttrModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractParameterGroupAttrModifiedEvent()`
    `` | `ContractParameterGroupAttrModifiedEvent(int userId, ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr oldValue, ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr newValue)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractParameterGroupAttrModifiedEvent

          protected ContractParameterGroupAttrModifiedEvent()

    - #### ContractParameterGroupAttrModifiedEvent

          public ContractParameterGroupAttrModifiedEvent(int userId,
                                                         ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr oldValue,
                                                         ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterGroupAttr newValue)